Subject: Re: bug#68668: 30.0.50; Invalid hash table test: tab-bar--auto-width-hash-test

From: john muhl <[email-masked]>
Date: Wed, 24 Jan 2024 07:46:14 -0600

Juri Linkov <[email-masked]> writes:

> close 68668 30.0.50
> thanks
>
>>> Debugger entered--Lisp error:
>>> (native-compiler-error "Invalid hash table test:
>>> tab-bar--auto-width-hash-test
>>
>> Yesterday I was seeing exactly the same error
>> until recompiled and restarted Emacs.
>>
>> Please confirm that bootstrap fixed this problem for you.
>
> I suppose everything is ok now, so closing.

EMBA is still hitting this[1] and I can reproduce it here on
Debian testing with just:

  git clone https://git.savannah.gnu.org/git/emacs.git
  cd emacs
  make bootstrap
  make test/src/keymap-tests.log

1. https://emba.gnu.org/emacs/emacs/-/jobs/80161